Bug 215290 - Cannot copy and paste from the SETroubleShoot Browser window
Cannot copy and paste from the SETroubleShoot Browser window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 05:15 EST by Gerard Fernandes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 17:24:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Fernandes 2006-11-13 05:15:12 EST
Description of problem: Can not copy problem details from the report on the
"setroubleshoot browser" window.


Version-Release number of selected component (if applicable): setroubleshoot-1.0-1


How reproducible: Always


Steps to Reproduce:
1. Try to connect to a Windows ADS shared printer via CUPS
2. SELinux policy error reported by SETroubleShoot
3. View details in SETroubleShoot Browser - try to copy and paste details
  
Actual results: Can't copy and paste details from the SETroubleShoot Browser window.


Expected results: Should be able to copy and paste details in the SETroubleShoot
Browser window.


Additional info: Current;y the only way to get details off the SETroubleShoot
Browser is to print to file and use the PDF.
Comment 1 jlbartos 2006-11-13 12:53:13 EST
Me too.

I would add that when you click on "Please file a bug report against this
package." it sends you to bugzilla but it doesn't actually *do* anything. It
would be nice if it filled in some of the details to make bug filing easier.
Comment 2 John Dennis 2006-11-13 15:13:44 EST
I would like to clarify the problem you are reporting, one can copy from the
browser to the clipboard, however there is no edit menu item 'copy', which is an
omission which should be fixed. Just highlight the text you want to copy. There
is an outstanding bug 215290 where the copied text looses it's line breaks. 

Are you reporting:
1) you can't copy text
2) there is no copy menu item
3) the copied text does not appear as you expect

With respect to comment #2, there are outstanding feature requests for better
bug reporting, bugs #204984 and #205496.
Comment 3 Gerard Fernandes 2006-11-14 07:59:08 EST
No - in a current updated FC6 installation, it is not possible to copy and paste
from the SELinux Troubleshooter Browser window.

Here are the steps I followed:
1. Attempt to connect to a Windows ADS shared printer
2. Note the SELinux error highlighted by the SELinux Troubleshooter
3. Click on the notification area icon - a SELinux Troubleshooter Browser window
opens with the details of the error.
4. Select text in the browser detail window
5. Right click - reveals no "Copy" option.
6. Use Cntrl-C to copy
7. Open a Text editor window
8. Use Cntrl-V to paste - nothing happens
9. Right click on the Text editor window - the "Paste" option is disabled.
Comment 4 John Dennis 2006-11-14 16:42:45 EST
Thank you for your information Gerard! We'll try to get this fixed ASAP.

As a note to myself, connecting to the "copy" signals should be postponed until
after the HTML renderer is switched from gtkhtml2 to mozembed.
Comment 5 Gerard Fernandes 2006-11-15 09:38:24 EST
Well really, I should be saying "Thank you!" - you are the guys doing the great
work :)

I only try to help in the small way that I can - by finding things that impede
usability of a wonderful product.
Comment 6 John Dennis 2006-11-28 17:24:25 EST
See also bug #216936

Added 'Copy Alert' menu item to edit menu. This copies all selected alerts in
their entirity to the clipboard. Fix will appear in version 1.8.

One could, and can still copy from the detail pane by selecting, although this
goes to the PRIMARY cut buffer (paste with middle mouse button). Note the
primary cut buffer is not the same as the clipboard, hence the confusion.

Fine grained copying of selected text from the detail pane to clipboard is going
to have to wait until we can move to a better html embedded renderer.

Note You need to log in before you can comment on or make changes to this bug.